CVE-2022-3534

Updated: 2023-11-07 20:14:04.988567

Description:

A vulnerability classified as critical has been found in Linux Kernel. Affected is the function btf_dump_name_dups of the file tools/lib/bpf/btf_dump.c of the component libbpf. The manipulation leads to use after free. It is recommended to apply a patch to fix this issue. The identifier of this vulnerability is VDB-211032.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x 0
CVSS Version 3.x HIGH 8

Status

OS name Project name Version Score Severity Status Errata Last updated
AlmaLinux 9.2 ESU kernel 5.14.0 8 HIGH Needs Triage 2023-11-07 16:12:44
AlmaLinux 9.2 FIPS kernel 5.14.0 8 HIGH Needs Triage 2023-11-20 10:08:03
CentOS 6 ELS kernel 2.6.32 8 HIGH Not Vulnerable 2024-01-05 03:31:50
CentOS 8.4 ELS kernel 4.18.0 8 HIGH Needs Triage 2023-10-26 17:30:49
CentOS 8.5 ELS kernel 4.18.0 8 HIGH Needs Triage 2023-10-26 17:30:48
CloudLinux 6 ELS kernel 2.6.32 8 HIGH Needs Triage 2023-10-26 17:30:42
Oracle Linux 6 ELS kernel 2.6.32 8 HIGH Not Vulnerable 2024-01-05 03:31:50
Ubuntu 16.04 ELS linux 4.4.0 8 HIGH Not Vulnerable 2023-10-27 09:32:11
Ubuntu 16.04 ELS linux-hwe 4.15.0 8 HIGH Not Vulnerable 2023-10-27 09:32:15
Ubuntu 18.04 ELS linux 4.15.0 8 HIGH Not Vulnerable 2023-08-30 09:16:21